# Interface VariantMetadata

@Incubating public interface VariantMetadata
Represents the metadata of one variant of a component, see `ComponentMetadataDetails.withVariant(String, Action)`.

Since:
  4.4

## Method Summary

Modifier and Type
Method
Description
`void`
`withDependencies(Action<DependenciesMetadata> action)`
Register a rule that modifies the dependencies of this variant.

## Method Details

### withDependencies

void withDependencies(Action<DependenciesMetadata> action)
Register a rule that modifies the dependencies of this variant.

Parameters:
  `action` - the action that performs the dependencies adjustment